<!--
  ~ SPDX-License-Identifier: Apache-2.0
  ~ Copyright IBM Corp 2023
-->

<!-- templates/home.html -->

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>MDM API</title>
</head>
<body>
    <h1>
        MetaData-Manager
    </h1>
    <img src="/static/images/codeco.png"  style="float:right" />
    <h2>MDM</h2>
    <h3>developed by IBM Research GmbH</h3>

    <a href="/mdm/api/v1/ui/#/">MDM Rest API</a>
    <p></p>
    <a href="/swagger.yaml"  target="_blank" >swagger.yaml</a>
    <p></p>   

    <div style="position: absolute; bottom: 40px; background-color: rgb(190, 193, 190)">
        Incoming events systemb only: <span id="bonly"></span>
<script>
    var source = new EventSource("/mdm/api/v1/kafka/sse?entities=systemb");
    source.onmessage = function (event) {
        document.getElementById("bonly").innerHTML = event.data;
    };
</script>
    </div>
        <div style="position: absolute; bottom: 20px; background-color: rgb(190, 193, 190)">
            Incoming events: <span id="all"></span>
    <script>
        var source = new EventSource("/mdm/api/v1/kafka/sse");
        source.onmessage = function (event) {
            document.getElementById("all").innerHTML = event.data;
        };
    </script>
        </div>
</body>
</html>